/v1/flows/flow-table

Prev Next
Post
/v1/flows/flow-table

Get flow table for the app on the device

Security
API Key: jwtAuth
Header parameter nameauthorization

Use Bearer <token>

Header parameters
Authorization
stringRequired

Bearer token. Format: Bearer <your_token_here>

Body parameters
Expand All
object
appId
integer (int32)

the app ID in the question from overall visuals view

Minimum0
Example123
appName
string
Exampleexample string
cursorRef
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
deviceId
integer (int64)
Example1234567891011
isDia
boolean
Exampletrue
numFlowRecords
integer (int32)

Number of app flow records requested by UI.

Minimum0
Example123
selector
object (ipfixAppFlowTableSelector)
circuitName
Array of string
string

Filter by circuit name(s)

Exampleexample string
slaClass
Array of string
string

Filter by SLA class(es)

ExampleENUM_VALUE
timeWindow
object (statsmonTimeWindow)
bucketSizeSec
integer (int32) Required

the size of the time window in seconds (required)

Minimum0
Example300
oldTs
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
recentTs
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
Responses
200

OK

Expand All
object
cursorRef
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
flowTable
Array of object (ipfixAppFlowTable)
object
destIp
string
Exampleexample string
destPort
integer (int32)
Minimum0
Example123
dlCircuitName
string
Exampleexample string
dlUsage
number (double)

Down link application usage in MB

Example123.45
egressLocalCoreRegion
string
Exampleexample string
ingressLocalCoreRegion
string
Exampleexample string
lanSegment
string
Exampleexample string
protocol
string
Exampleexample string
remoteCoreRegion
string
Exampleexample string
slaClass
string
ExampleENUM_VALUE
srcIp
string
Exampleexample string
srcPort
integer (int32)
Minimum0
Example123
ts
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
ulCircuitName
string
Exampleexample string
ulUsage
number (double)

Up link application usage in MB

Example123.45